# .dotfiles

Not meant to be directly reused by anybody other than me, you should read what it contains and take whatever parts you think will work for your specific setup.

## usage

Comes with a small python script to automate the init and deploy procedures by simply copying the files in their required spots based on the `dot.toml` config file.

`./dot.py --init` to copy all the dotfiles in the currently selected folder

`./dot.py --deploy` to copy them back to where they're supposed to be

The script is extremely opinionated as it will always save them in the currently selected folder and load them based on the home directory of the user as such: `~/.config/nvim` folder will always be saved in `./.config/nvim` which will always be loaded in `~/.config/nvim`. As such configs or dotfiles outside of the home directory are not supported by this script (which is perfectly fine since I don't have any of those).
